# Ancillary Software Licenses

This file includes license information for various open-source projects
that are imported, derived into, or distributed with PySceneDetect.
See [LICENSE](LICENSE) for the main PySceneDetect license.

Depending on the features being used, PySceneDetect uses the following
third-party software which are released under the terms detailed below.
By downloading, copying, installing or using this software, you agree
to these terms.

In no particular order:

-----------------------------------------------------------------------

> click [Copyright (C) 2017, Armin Ronacher]:
    This software uses OpenCV; see thirdparty/LICENSE-CLICK or visit:
    [ http://click.pocoo.org/license/ ]

> NumPy [Copyright (C) 2005-2016, Numpy Developers]:
    This software uses Numpy; see thirdparty/LICENSE-NUMPY or visit:
    [ http://www.numpy.org/license.html ]

> OpenCV [Copyright (C) 2017, Itseez]:
    This software uses OpenCV; see thirdparty/LICENSE-OPENCV or visit:
    [ http://opencv.org/license.html ]

> PyAV [Copyright (C) 2017, Mike Boers and others]:
    This software uses PyAV; see thirdparty/LICENSE-PYAV or visit:
    [ https://github.com/PyAV-Org/PyAV/blob/main/LICENSE.txt ]

> pytest [Copyright (C) 2004-2017, Holger Krekel and others]:
    This software uses pytest; see thirdparty/LICENSE-PYTEST or visit:
    [ https://docs.pytest.org/en/latest/license.html ]

> simpletable [Copyright (C) 2014-2019, Matheus Vieira Portela and others]:
    This software uses simpletable; see thirdparty/LICENSE-SIMPLETABLE or visit:
    [ https://github.com/matheusportela/simpletable/blob/master/LICENSE ]

> tqdm [Copyright (C) 2013-2018, Casper da Costa-Luis,
        Google Inc., and Noam Yorav-Raphael]:
    This software uses tqdm; see thirdparty/LICENSE-TQDM or visit:
    [ https://github.com/tqdm/tqdm/blob/master/LICENCE ]

> MoviePy [ Copyright (C) 2015 Zulko ]
    This software uses tqdm; see thirdparty/LICENSE-TQDM or visit:
    [ https://github.com/Zulko/moviepy/blob/master/LICENCE.txt ]

-----------------------------------------------------------------------

This software may also invoke FFmpeg or mkvmerge, if available. If required,
these programs can be obtained from following URLs:

    FFmpeg:   [ https://ffmpeg.org/download.html ]
    mkvmerge: [ https://mkvtoolnix.download/downloads.html ]

Once installed, ensure the program is in your PATH variable (i.e. you can
run the `ffmpeg` or `mkvmerge` command from any location).

Certain distributions of PySceneDetect may include ffmpeg. See
thirdparty/LICENSE-FFMPEG file or visit [ https://ffmpeg.org ]

FFmpeg is a trademark of Fabrice Bellard
mkvmerge is Copyright (C) 2005-2016, Matroska

Windows distributions may include a compiled Python distribution. For license
information regarding the distributed version of Python, see the
thirdparty/LICENSE-PYTHON file, or visit [ https://docs.python.org/3/license.html ]

-----------------------------------------------------------------------

If any information above is incorrect, please let us know.
Visit [ https://www.scenedetect.com ] for contact information.


